Subject: Re: [syzbot] [btrfs?] WARNING in btrfs_free_reserved_data_space_noquota

From: syzbot <[email-masked]>
Date: Tue, 01 Aug 2023 02:27:22 -0700

syzbot suspects this issue was fixed by commit:

commit 487c20b016dc48230367a7be017f40313e53e3bd
Author: Linus Torvalds <[email-masked]>
Date:   Thu Mar 30 21:53:51 2023 +0000

    iov: improve copy_iovec_from_user() code generation

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=17cfdf19a80000
start commit:   4bdec23f971b Merge tag 'hwmon-for-v6.3-rc4' of git://git.k..
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=acdb62bf488a8fe5
dashboard link: https://syzkaller.appspot.com/bug?extid=adec8406ad17413d4c06
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=11bf8bcec80000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=153d4f75c80000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: iov: improve copy_iovec_from_user() code generation

For information about bisection process see: https://goo.gl/tpsmEJ#bisection